curl --request PATCH \
--url https://api.piriod.com/orders/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-simple-workspace: <x-simple-workspace>' \
--data '
{
"customer": "<string>",
"document": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"description": "<string>",
"exempt": false,
"tax": 123,
"tax_percent": 123
}
],
"number": 123,
"address": "<string>",
"state": 123,
"carrier_id": "<string>",
"carrier_name": "<string>",
"licence_plate": "<string>",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"total": 123,
"references": [
{
"date": "2023-12-25",
"document": "<string>",
"serial": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://api.piriod.com/orders/{id}/"
payload = {
"customer": "<string>",
"document": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"description": "<string>",
"exempt": False,
"tax": 123,
"tax_percent": 123
}
],
"number": 123,
"address": "<string>",
"state": 123,
"carrier_id": "<string>",
"carrier_name": "<string>",
"licence_plate": "<string>",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"total": 123,
"references": [
{
"date": "2023-12-25",
"document": "<string>",
"serial": "<string>",
"description": "<string>"
}
]
}
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-simple-workspace': '<x-simple-workspace>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer: '<string>',
document: 123,
date: '2023-12-25',
lines: [
{
name: '<string>',
amount: 123,
quantity: 123,
description: '<string>',
exempt: false,
tax: 123,
tax_percent: 123
}
],
number: 123,
address: '<string>',
state: 123,
carrier_id: '<string>',
carrier_name: '<string>',
licence_plate: '<string>',
note: '<string>',
amount: 123,
exempt: 123,
tax: 123,
tax_percent: 123,
total: 123,
references: [
{
date: '2023-12-25',
document: '<string>',
serial: '<string>',
description: '<string>'
}
]
})
};
fetch('https://api.piriod.com/orders/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": "<string>",
"document": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"id": 123,
"description": "<string>",
"exempt": false,
"tax": 123,
"tax_percent": 123,
"total": 123
}
],
"id": 123,
"number": 123,
"address": "<string>",
"state": 123,
"carrier_id": "<string>",
"carrier_name": "<string>",
"licence_plate": "<string>",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"total": 123,
"status": "draft",
"biller_status": "<string>",
"tax_agency": {},
"local_file": "<string>",
"imported": true,
"test_mode": true,
"references": [
{
"date": "2023-12-25",
"document": "<string>",
"serial": "<string>",
"description": "<string>"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Partial update order
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Body
Sales / shipping order (e.g. Chilean "guía de despacho"). Documents goods movements that may or may not constitute a sale.
Customer ID.
Order document type.
Shipping classification:
1 venta, 2 ventas por efectuar, 3 consignaciones,
4 entrega gratuita, 5 traslados internos, 6 otros traslados,
7 guía de devolución, 8 traslado para exportación, 9 venta para exportación.
1, 2, 3, 4, 5, 6, 7, 8, 9 Show child attributes
Show child attributes
7010307100Show child attributes
Show child attributes
Response
Updated order.
Sales / shipping order (e.g. Chilean "guía de despacho"). Documents goods movements that may or may not constitute a sale.
Customer ID.
Order document type.
Shipping classification:
1 venta, 2 ventas por efectuar, 3 consignaciones,
4 entrega gratuita, 5 traslados internos, 6 otros traslados,
7 guía de devolución, 8 traslado para exportación, 9 venta para exportación.
1, 2, 3, 4, 5, 6, 7, 8, 9 Show child attributes
Show child attributes
7010307100draft, finalized, cancelled Show child attributes
Show child attributes
